package broadcast.commands;

import broadcast.BroadCast;
import com.velocitypowered.api.command.SimpleCommand;
import com.velocitypowered.api.proxy.ProxyServer;
import org.slf4j.Logger;

public class Reload implements SimpleCommand {
   private BroadCast broadCast;
   private ProxyServer proxyServer;
   private Logger logger;

   public Reload(ProxyServer proxyServer, BroadCast broadCast, Logger logger) {
      this.broadCast = broadCast;
      this.proxyServer = proxyServer;
      this.logger = logger;
   }

   public void execute(SimpleCommand.Invocation invocation) {
      if (((String[])invocation.arguments())[0].equals("reload")) {
         this.broadCast.reloadConfig();
         this.logger.info("刷新成功");
      }

   }
}
